Package org.jcsp.net.tcpip

# Class TCPIPCNSServer

java.lang.Object
org.jcsp.net.tcpip.TCPIPCNSServer

public class TCPIPCNSServer extends Object

Program to run a Channel Name Service. The service will listen on all locally available addresses using either a default port of 7890 or a port specified by the first parameter on the command line.

Author:
  Quickstone Technologies Limited

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_CNS_PORT`
The default port number for a Channel Name Server.

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Main method, running the service.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_CNS_PORT

public static final int DEFAULT_CNS_PORT
The default port number for a Channel Name Server. This value will be used by default if none is specified on the command line. When locating a CNS the TCPIPNodeFactory will also use this default value if none is supplied to it.

See Also:
  - Constant Field Values

## Method Details

### main

public static void main(String[] args)
Main method, running the service. This will never terminate if the service can be started.